# Error Handling tab

![Error Handling tab](/files/0Pu10w2MF6GFr8jjmTRE)

In the **Error Handling** tab, you can specify how the step reacts when errors occur, such as malformed records, bad enclosure strings, wrong number of fields, and premature line ends.

| Option                                   | Description                                                                                                                                                                                                                                |
| ---------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **Ignore errors?**                       | Select if you want to ignore errors during parsing.                                                                                                                                                                                        |
| **Skip error lines?**                    | Select if you want to skip those lines that contain errors. You can generate an extra file that contains the line numbers where the errors occur. Lines with errors are not skipped. The fields that have parsing errors are empty (null). |
| **Error count field name**               | Add a field to the output stream rows. This field contains the number of errors on the line.                                                                                                                                               |
| **Error fields field name**              | Add a field to the output stream rows. This field contains the field names on which an error occurred.                                                                                                                                     |
| **Error fields text field name**         | Add a field to the output stream rows. This field contains the descriptions of the parsing errors that have occurred.                                                                                                                      |
| **Warnings file directory**              | When warnings are generated, they are placed in this directory. The name of that file is `<warning dir>/filename.<date_time>.<warning extension>`.                                                                                         |
| **Error files directory**                | When errors occur, they are placed in this directory. The name of the file is `<errorfile_dir>/filename.<date_time>.<errorfile_extension>`.                                                                                                |
| **Failing line numbers files directory** | When a parsing error occurs on a line, the line number is placed in this directory. The name of that file is `<errorline dir>/filename.<date_time>.<errorline extension>`.                                                                 |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pentaho.com/pdia-data-integration/10.2-data-integration/pdi-transformation-steps-reference-overview/hadoop-file-input-cp-main-page/options-hadoop-file-input-reuse/error-handling-tab-hadoop-file-input-kettle.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
